# lambda-flake/flake.nix
{
  description = "AWS Lambda deployment flake";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
    flake-utils.url = "github:numtide/flake-utils";
    rust-flake.url = "https://git.lerch.org/lobo/nix-flake-examples/archive/e391d23da313d91e659311c00eca1ad5cb2d9fa7.tar.gz?dir=/rust"; # Adjust this path as needed
    # rust-flake.url = "https://git.lerch.org/lobo/nix-flake-examples/archive/master.tar.gz?dir=/rust"; # Adjust this path as needed
  };

  outputs = { self, nixpkgs, flake-utils, rust-flake }:
    flake-utils.lib.eachDefaultSystem (system:
      let
        pkgs = nixpkgs.legacyPackages.${system};
      in
      {
        devShells.default = pkgs.mkShell {
          buildInputs = [
            # Include Rust tools from the rust-flake
            rust-flake.devShells.${system}.default.buildInputs

            # Add AWS Lambda deployment tools
            pkgs.cargo-lambda
          ];
        };
      }
    );
}
